GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "0b790eb5-adfe-4c60-baa7-77a15550e52f",
    "selected_nameplate_id": "d95b303c-85be-42c7-b3aa-3735e2e168ee",
    "active": true,
    "department_id": "3a224418-8b9f-49bc-9cca-b5affef9a99c",
    "id": "cfe233f9-01ef-48d9-9c08-5c511215f0d8",
    "physical_item_id": "67e73e4e-c36b-425d-b3a0-a69d87375377",
    "service_item_id": "8c4dd943-a64f-4ab2-a585-098a1ac47126",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "0b790eb5-adfe-4c60-baa7-77a15550e52f",
    "selected_nameplate_id": "d95b303c-85be-42c7-b3aa-3735e2e168ee",
    "active": true,
    "department_id": "3a224418-8b9f-49bc-9cca-b5affef9a99c",
    "id": "cfe233f9-01ef-48d9-9c08-5c511215f0d8",
    "physical_item_id": "67e73e4e-c36b-425d-b3a0-a69d87375377",
    "service_item_id": "8c4dd943-a64f-4ab2-a585-098a1ac47126",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>3a224418-8b9f-49bc-9cca-b5affef9a99c</department_id>
    <id>cfe233f9-01ef-48d9-9c08-5c511215f0d8</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>67e73e4e-c36b-425d-b3a0-a69d87375377</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>8c4dd943-a64f-4ab2-a585-098a1ac47126</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>d95b303c-85be-42c7-b3aa-3735e2e168ee</selected_nameplate_id>
    <selected_sticker_id>0b790eb5-adfe-4c60-baa7-77a15550e52f</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>3a224418-8b9f-49bc-9cca-b5affef9a99c</department_id>
    <id>cfe233f9-01ef-48d9-9c08-5c511215f0d8</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>67e73e4e-c36b-425d-b3a0-a69d87375377</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>8c4dd943-a64f-4ab2-a585-098a1ac47126</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>d95b303c-85be-42c7-b3aa-3735e2e168ee</selected_nameplate_id>
    <selected_sticker_id>0b790eb5-adfe-4c60-baa7-77a15550e52f</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>